package org.jeecg.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.api.bean.PageBean;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.commonAddOrder.entity.CommonAddOrder;
import org.jeecg.modules.commonAddress.entity.CommonAddress;

public interface AppletIndexService {


    //获取首页banner
    Result<?> getBanner();


    //获取金刚区icon
    Result<?> getIcon();


    //获取分类
    Result<?> getClassify();


    //获取城市
    Result<?> getCity();

    //获取建材商品信息列表带分页搜索
    Result<?> getProductList(String cityId,String shopIconId,String shopClassId,PageBean pageBean);


    //获取商品信息详情
    Result<?> getProductDetail(String productId);


    //根据用户登录信息获取当前是否有快捷下单订单
    Result<?> getOrderInfo(String token);


    //快捷下单-拍照下单/语音下单
    Result<?> addOrder(String token, CommonAddOrder commonAddOrder);

    //取消快捷订单
    Result<?> cancelOrder(String token,String orderId);

    //创建订单
    Result<?> createOrder(String token,Integer payType,String productId,String addressId,Integer orderNum);


    //立即支付
    Result<?> payOrder(String token,Integer type,String orderId);


    //快捷订单列表数据带分页
    Result<?> getAddOrderPageBean(String token,String state,PageBean pageBean);


    //查询快捷订单详情
    Result<?> getAddOrderInfo(String token,String orderId);
}
